services:
  stack:
    image: registry.forge.grandlyon.com/web-et-numerique/factory/llle_project/cozy-stack:1.6.26
    container_name: cozy-stack
    depends_on:
      - cozy-db
    ports:
      - 8080:8080
      - 8025:8025
    volumes:
      - ./docker/cozy-app-dev-with-app.sh:/usr/bin/cozy-app-dev.sh
      - ./build:/data/cozy-app/ecolyo
      # - ./data/db:/usr/local/couchdb/data
      - ./data/storage:/data/cozy-storage
      - ./docker/cozy.yaml:/etc/cozy/cozy.yaml

  cozy-db:
    image: couchdb:3.3.3
    container_name: cozy-db
    volumes:
      - ./data/db:/opt/couchdb/data
      - ./docker/local.ini:/opt/couchdb/etc/local.ini
    restart: unless-stopped
    ports:
      - 5984:5984
